/******************************************************************************
    
        Program: echoart.h
         Author: Dennis Opacki <dopacki@adotout.com>
           Date: Fri May 14 10:00:52 EDT 2004
        Purpose: Respond to icmp echo requests with ASCII art

    
    Copyright (C) 2004 Dennis Opacki

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

******************************************************************************/


// definitions
#define BUFFERSIZE 1024

// evil Solaris hack
#ifdef __sun__
typedef uint8_t u_int8_t;
typedef uint16_t u_int16_t;
typedef uint32_t u_int32_t;
#endif

// prototypes
void handle_IP(u_char *args,const struct pcap_pkthdr* pkthdr,const u_char* packet);
int send_reply(char *ip_src, u_short id, u_short seq, u_char tos, char *data, u_int dlen);
char *full_read(int fd, int *size);

// data scrutctures
struct bucket {
	char *ip_addr;
	u_int next;
	time_t last;
};

struct buff_head {
	struct buff_head *next;
	char *buf;
	int len;
};
